# Uses of Interface
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.ServiceInterface1Optional

Packages that use ServiceInterface1Optional
Package
Description
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

## Uses of ServiceInterface1Optional in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil that return ServiceInterface1Optional
Modifier and Type
Method
Description
`ServiceInterface1Optional`
Service3.`getReference1Optional()`
`ServiceInterface1Optional`
Service3OsgiR6.`getReference1Optional()`
`ServiceInterface1Optional`
Service3OsgiR6ComponentServiceObjectsImpl.`getReference1Optional()`
`ServiceInterface1Optional`
Service3OsgiR6Impl.`getReference1Optional()`
`ServiceInterface1Optional`
Service3StaticGreedy.`getReference1Optional()`
`ServiceInterface1Optional`
Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl.`getReference1Optional()`
`ServiceInterface1Optional`
Service3StaticGreedyConstructorInjectionImpl.`getReference1Optional()`
`ServiceInterface1Optional`
Service3StaticGreedyImpl.`getReference1Optional()`
Methods in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil with parameters of type ServiceInterface1Optional
Modifier and Type
Method
Description
`protected void`
Service3StaticGreedyImpl.`bindReference1Optional(ServiceInterface1Optional service)`
`protected void`
Service3StaticGreedyImpl.`unbindReference1Optional(ServiceInterface1Optional service)`
Constructors in org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil with parameters of type ServiceInterface1Optional
Modifier
Constructor
Description
``
`Service3StaticGreedyConstructorInjectionImpl(ServiceInterface1 reference1, ServiceInterface1Optional reference1Optional, List<org.osgi.framework.ServiceReference<ServiceInterface2>> references2, List<ServiceSuperInterface3> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config)`
``
`Service3StaticGreedyConstructorInjectionImpl(ServiceInterface1 reference1, ServiceInterface1Optional reference1Optional, List<org.osgi.framework.ServiceReference<ServiceInterface2>> references2, List<ServiceSuperInterface3> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config, Object illegalParameter)`